BlitzReels
BlitzReelsDocumentation
API Reference
POST
/ai-edit/runs/{runId}/apply-style

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

runId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ai-edit/runs/string/apply-style" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "dry_run": true,  "run_id": "string",  "project_id": "string",  "style_id": "mirage-black",  "receipts": [    {      "action": "string",      "target_id": "string",      "dry_run": true,      "changes": {        "property1": null,        "property2": null      }    }  ],  "txid": 0}